#include <pcap.h>
#include <string.h>

char *get_interface_name(void)
{
	pcap_if_t *alldevs;
	char errbuf[PCAP_ERRBUF_SIZE];

	if (pcap_findalldevs(&alldevs, errbuf) == -1) {
		dprintf(2, "Error finding devices: %s\n", errbuf);
		return NULL;
	}

	for (pcap_if_t *it = alldevs; it != NULL; it = it->next) {
		if (!(it->flags & PCAP_IF_LOOPBACK)) {
			char *name = strdup(it->name);
			pcap_freealldevs(alldevs);
			return name;
		}
	}

	dprintf(2, "No non-loopback interface found.\n");
	return NULL;
}
